> ## Documentation Index
> Fetch the complete documentation index at: https://foreverbetter.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Build provider OAuth URL

> Build an OAuth authorization URL for WHOOP. (Google Health Connect connects via the mobile bridge through /connections/wearables/start.)



## OpenAPI

````yaml https://api.foreverbetter.xyz/openapi.json post /connections/{provider}/auth-url
openapi: 3.1.0
info:
  title: ForeverBetter API
  version: 0.4.8
  description: >-
    ForeverBetter API and MCP-compatible service for genetics, biomarkers,
    wearables, lab locator handoffs, and dashboard specs.
servers:
  - url: https://api.foreverbetter.xyz
security:
  - bearerAuth: []
paths:
  /connections/{provider}/auth-url:
    post:
      summary: Build provider OAuth URL
      description: >-
        Build an OAuth authorization URL for WHOOP. (Google Health Connect
        connects via the mobile bridge through /connections/wearables/start.)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - provider
                - client_id
                - redirect_uri
              properties:
                provider:
                  type: string
                  enum:
                    - whoop
                client_id:
                  type: string
                  minLength: 1
                redirect_uri:
                  type: string
                  minLength: 1
                state:
                  type: string
                scopes:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````